# wxCollapsiblePaneEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/collpane.h>`

Inheritance diagram for wxCollapsiblePaneEvent:
[legend]

## Detailed Description

This event class is used for the events generated by wxCollapsiblePane.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxCollapsiblePaneEvent& event)

Event macros:

- EVT_COLLAPSIBLEPANE_CHANGED(id, func):
  The user expanded or collapsed the collapsible pane.

##

Library: wxCore
Category: Events

See also:
  wxCollapsiblePane

## Public Member Functions

| wxCollapsiblePaneEvent (wxObject *generator, int id, bool collapsed)
| The constructor is not normally used by the user code.
bool | GetCollapsed () const
| Returns true if the pane has been collapsed.
void | SetCollapsed (bool collapsed)
| Sets this as a collapsed pane event (if collapsed is true) or as an expanded pane event (if collapsed is false).

List of all members.

## Constructor & Destructor Documentation

wxCollapsiblePaneEvent::wxCollapsiblePaneEvent | ( | wxObject * | generator,
|  | int | id,
|  | bool | collapsed |
| ) |  |  |

The constructor is not normally used by the user code.

## Member Function Documentation

bool wxCollapsiblePaneEvent::GetCollapsed | ( |  | ) | const

Returns true if the pane has been collapsed.

void wxCollapsiblePaneEvent::SetCollapsed | ( | bool | collapsed | ) |

Sets this as a collapsed pane event (if collapsed is true) or as an expanded pane event (if collapsed is false).

|  | [ top ]